/*
Demo scripts for this blog post:
http://www.brentozar.com/archive/2014/12/careful-adding-indexes-with-alwayson-availability-groups/

Copyright 2014 Brent Ozar Unlimited. End User Licensing Agreement:
http://www.brentozar.com/first-aid/downloads/end-user-license-agreement-eula/
*/


/* On the primary replica: */
USE AdventureWorks2012;
GO

/* 1. Make sure the Person.Person.IX_Suffix index doesn't exist from prior tests */
IF EXISTS (SELECT * FROM sys.indexes WHERE name = 'IX_Suffix')
	DROP INDEX IX_Suffix ON Person.Person;
GO

/* Switch over to the secondary replica for step 2. */



/* 3. Add an index on Suffix: */
CREATE INDEX IX_Suffix ON Person.Person(Suffix);
GO


/* Switch over to the secondary for step 4. */



/* 5. Drop the index. */
DROP INDEX IX_Suffix ON Person.Person;
GO


/* Switch over to the secondary for step 6. */



/* 7. Create the index again. */
CREATE INDEX IX_Suffix ON Person.Person(Suffix);
GO

/* Switch over to the secondary for step 8. */


/* 9. Drop indexes, not bass: */
DROP INDEX IX_Suffix ON Person.Person;
GO

/* Switch over to the secondary for step 10. */
